package com.bonus.canteen.core.supply.purchase.domain.param;

import com.bonus.canteen.core.supply.purchase.domain.bo.DrpProductionPlanDetailAddDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel
public class DrpProductionPlanAddDTO {
   @ApiModelProperty("生产计划名称")
   private String productionPlanName;
   @ApiModelProperty("生产计划类型(1直接生成,2按菜谱生成,3按预定单生成)")
   private Integer productionPlanType;
   @ApiModelProperty("生产计划菜品明细")
   private List<DrpProductionPlanDetailAddDTO> productionDetailList;
   @ApiModelProperty("保存或提交 1保存，2 提交")
   private Integer status;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("生产计划单号")
   private String productionPlanId;
   @ApiModelProperty("是否多天重复")
   private String ifRepeat;
   @ApiModelProperty("菜谱id")
   private Long recipeId;
   @ApiModelProperty("开始时间")
   private String startDate;
   @ApiModelProperty("结束时间")
   private String endDate;
   @ApiModelProperty("区域id")
   private Long areaId;

   public String getProductionPlanName() {
      return this.productionPlanName;
   }

   public Integer getProductionPlanType() {
      return this.productionPlanType;
   }

   public List<DrpProductionPlanDetailAddDTO> getProductionDetailList() {
      return this.productionDetailList;
   }

   public Integer getStatus() {
      return this.status;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getProductionPlanId() {
      return this.productionPlanId;
   }

   public String getIfRepeat() {
      return this.ifRepeat;
   }

   public Long getRecipeId() {
      return this.recipeId;
   }

   public String getStartDate() {
      return this.startDate;
   }

   public String getEndDate() {
      return this.endDate;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public DrpProductionPlanAddDTO setProductionPlanName(final String productionPlanName) {
      this.productionPlanName = productionPlanName;
      return this;
   }

   public DrpProductionPlanAddDTO setProductionPlanType(final Integer productionPlanType) {
      this.productionPlanType = productionPlanType;
      return this;
   }

   public DrpProductionPlanAddDTO setProductionDetailList(final List<DrpProductionPlanDetailAddDTO> productionDetailList) {
      this.productionDetailList = productionDetailList;
      return this;
   }

   public DrpProductionPlanAddDTO setStatus(final Integer status) {
      this.status = status;
      return this;
   }

   public DrpProductionPlanAddDTO setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
      return this;
   }

   public DrpProductionPlanAddDTO setStallId(final Long stallId) {
      this.stallId = stallId;
      return this;
   }

   public DrpProductionPlanAddDTO setProductionPlanId(final String productionPlanId) {
      this.productionPlanId = productionPlanId;
      return this;
   }

   public DrpProductionPlanAddDTO setIfRepeat(final String ifRepeat) {
      this.ifRepeat = ifRepeat;
      return this;
   }

   public DrpProductionPlanAddDTO setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
      return this;
   }

   public DrpProductionPlanAddDTO setStartDate(final String startDate) {
      this.startDate = startDate;
      return this;
   }

   public DrpProductionPlanAddDTO setEndDate(final String endDate) {
      this.endDate = endDate;
      return this;
   }

   public DrpProductionPlanAddDTO setAreaId(final Long areaId) {
      this.areaId = areaId;
      return this;
   }
}
